`timescale 1 ns/100 ps
module dff_timing_check_tb ;
wire q;
reg clk, d, reset_n;
parameter clk_period = 10;
// reg error_flag;
   // instantiate the Unit Undet Test
   dff_timing_check UUT (.clk(clk), 
                         .reset_n(reset_n), 
                         .d(d), 
                         .q(q));
// 
initial begin  
   repeat (3) @(negedge clk) reset_n = 1'b0; 
   reset_n = 1'b1;  
   // set up test data values
   #0  d = 1'b0;
   #5  d = 1'b1;
   #5.8  d = 1'b0;
   #25 d = 1'b1; 
end
initial begin clk = 1'b0; 
   forever  #(clk_period/2) clk = ~clk;	 end	 
initial	#500 $finish;		
initial
	$monitor($realtime,,"ns %h %h %h %h ",clk, reset_n, d, q);
endmodule